Last Comment Bug 619930 - Change the back/forward buttons tooltips to notify users that right-clicking/click-holding the button will display the history
: Change the back/forward buttons tooltips to notify users that right-clicking/...
Status: RESOLVED FIXED
[qa!][testday-20110930]
: ux-discovery, verified-aurora, verified-beta
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal with 3 votes (vote)
: Firefox 8
Assigned To: Dão Gottwald [:dao]
:
Mentors:
: 621311 626634 640447 (view as bug list)
Depends on: 683437
Blocks: 606888 582485
  Show dependency treegraph
 
Reported: 2010-12-17 09:01 PST by u88484
Modified: 2011-10-11 06:57 PDT (History)
22 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-


Attachments
Screenshot of patch v1 (35.26 KB, image/png)
2011-01-08 09:42 PST, u88484
limi: ui‑review+
Details
Patch v1 (2.49 KB, patch)
2011-01-08 09:47 PST, u88484
no flags Details | Diff | Splinter Review
patch (3.71 KB, patch)
2011-07-12 17:44 PDT, Dão Gottwald [:dao]
gavin.sharp: review+
faaborg: ui‑review+
Details | Diff | Splinter Review

Description u88484 2010-12-17 09:01:24 PST
Bug 606888 was filed to make it discoverable how to access the back and forward button's history menu but was wont fixed, probably due to not having clear specific suggestions.  I think the best option (or at least short term best option) is to change the tooltip to notify users that click-holding the buttons will display the history.

Before:
"Go back one page"
"Go forward on page"

After:
"Go back one page. Click and hold to display history"
"Go forward one page. Click and hold to display history"
Comment 1 Alex Faaborg [:faaborg] (Firefox UX) 2010-12-17 16:35:28 PST
Perhaps place the second sentence on a separate line to help establish that we are describing two different functions?
Comment 2 Alex Limi (:limi) — Firefox UX Team 2010-12-21 13:20:47 PST
And I'd recommend "Click and hold to show history", since that's the terminology we're using in the menus.
Comment 3 u88484 2010-12-21 15:02:53 PST
Do we currently have two lined tooltips?  I'm just looking for an example for the coding style.
Comment 4 Dave Garrett 2010-12-24 14:26:42 PST
Well, click-hold for Mac-land. Right-click for Windows and Linux.
Comment 5 Dave Garrett 2010-12-24 14:27:22 PST
*** Bug 621311 has been marked as a duplicate of this bug. ***
Comment 6 Dave Garrett 2010-12-24 14:32:40 PST
(In reply to comment #3)
> Do we currently have two lined tooltips?

Sure, if you use <tooltip> instead of just "tooltiptext" you can put in whatever you want. Bookmarks all have two line tooltips already, so we do separate lines in places where it makes sense and because these would be two separate and unrelated pieces of information two lines would probably be best.
Comment 7 u88484 2011-01-08 09:42:46 PST
Created attachment 502260 [details]
Screenshot of patch v1
Comment 8 u88484 2011-01-08 09:47:22 PST
Created attachment 502261 [details] [diff] [review]
Patch v1
Comment 9 u88484 2011-01-08 09:49:59 PST
(In reply to comment #4)
> Well, click-hold for Mac-land. Right-click for Windows and Linux.

Click and hold also works on Windows.  Right-clicking does feel friendlier to user though as there is no delay.
Comment 10 Dave Garrett 2011-01-08 11:36:51 PST
Click-hold was not supported here in 3.6 and is new to 4.0 for non-Mac. Click-hold on a button is unnatural on anything but Mac where it's used to having an over-simplified mouse without a right button. Left-click does an action and right-click gives options about an action. That's the way these OSes work and what users expect. You'll need to have different tooltips based on OS.
Comment 11 Dave Garrett 2011-01-08 11:44:52 PST
By the way, I'm aware that having to have different strings per OS is annoying, but we still do the stupid dance of using the word "preferences" vs. "options" on different OSes, even putting it in a different location in the main menus. In this case it's not just convention, it's a UI interaction difference in expectation between OSes. (especially because right-click lacks a delay)
Comment 12 Alex Limi (:limi) — Firefox UX Team 2011-01-09 02:15:04 PST
Comment on attachment 502260 [details]
Screenshot of patch v1

Yeah, as stated in earlier comments, we probably need it to be different on Mac and Windows:

Windows:
Right-click to show history

Mac:
Click and hold to show history

Review+ with those changes implemented.
Comment 13 Mike Beltzner [:beltzner, not reading bugmail] 2011-01-18 07:10:35 PST
*** Bug 626634 has been marked as a duplicate of this bug. ***
Comment 14 Carl 2011-03-14 10:23:26 PDT
Has this been fixed in RC1?  I do like the new graphics that are used for the back and forward buttons, but there is no indication I can right click to get the history.  In firefox 3.x it had indicators I could right click, why were they removed in firefox 4?
Comment 15 u88484 2011-03-14 10:30:01 PDT
I completely missed the follow up emails after I posted the patch. There is no way this will make firefox 4.0 since it deals with changing strings.
Comment 16 Kevin Brosnan [:kbrosnan] 2011-05-03 09:42:51 PDT
*** Bug 640447 has been marked as a duplicate of this bug. ***
Comment 17 :aceman 2011-05-29 08:35:30 PDT
This could now go into FF7. What needs to be done here? Do you have a review+? It seems not, there is no patch after comment 12.
Comment 18 u88484 2011-05-29 11:08:07 PDT
(In reply to comment #17)
> This could now go into FF7. What needs to be done here? Do you have a
> review+? It seems not, there is no patch after comment 12.

Someone needs to create a new patch that addresses the review comments in comment #12.  I do not have the time to work on anything for at least the new few months.
Comment 19 Dão Gottwald [:dao] 2011-07-12 17:44:42 PDT
Created attachment 545551 [details] [diff] [review]
patch

Bug 647886 made it so that the mouse doesn't need to rest on the button, so I changed the tooltip to "Right-click or pull down to show history" and "Pull down to show history" for Mac.
Comment 20 Alex Faaborg [:faaborg] (Firefox UX) 2011-07-26 15:29:21 PDT
Comment on attachment 545551 [details] [diff] [review]
patch

I'm not sure that users will immediately understand what the direction of "pull down" is instructing them to do, but I do like that we are leading users towards a more efficient interaction once they try the pull down.  So overall seems like a good idea.
Comment 22 Ton 2011-08-06 03:05:52 PDT
(In reply to Alex Faaborg [:faaborg] (Firefox UX) from comment #20)
> 
> I'm not sure that users will immediately understand what the direction of
> "pull down" is instructing them to do…

I totally agree. Like some others wrote, using “pull down” seems very unnatural in any non-drop-down menu, especially now that the drop-drown indicator was removed (!). It also makes less sense when localizing, or makes localizers use “Right-click or click and hold to show history” and “Click and hold to show history” anyway. Could you consider using this instead?

> …, but I do like that we are leading
> users towards a more efficient interaction once they try the pull down.  So
> overall seems like a good idea.

I don’t think this is more relevant nor valid for all users - most of them probably won’t have a clue or simply don’t take the effort to try finding out how the pulling down is done. IMO we should not be leading users anywhere this way to find out how to use basic actions, but be clear instead.
Comment 23 Rimas Kudelis 2011-08-29 10:06:36 PDT
Just wondering: doesn't right-clicking work on OS X too, when using a normal mouse, or one of Apple's later mice where the user can choose the number of buttons?
Comment 24 Daniel Desira 2011-09-30 05:38:39 PDT
verified [testday-20110930]
Comment 25 Daniel Desira 2011-09-30 06:58:21 PDT
verified Mozilla/5.0 (Windows NT 6.1; WOW64; rv:8.0) Gecko/20100101 Firefox/8.0
Comment 26 [:Aleksej] 2011-09-30 07:03:49 PDT
Verified fixed, too, on Linux x86_64 with 8.0b1 eo Mozilla/5.0 (X11; Linux x86_64; rv:8.0) Gecko/20100101 Firefox/8.0
Comment 27 Simona B [:simonab ] -PTO- back Sept 5th 2011-10-05 06:03:36 PDT
Verified also on the latest Nightly, latest Aurora and Firefox 8.0b1 on Windows XP, Windows 7, Ubuntu 11.04 and Mac OS X 10.6. The tooltip is now changed to "Right-click or pull down to show history" and "Pull down to show history" for Mac.

Mozilla/5.0 (Windows NT 5.1; rv:10.0a1) Gecko/20111004 Firefox/10.0a1
Mozilla/5.0 (X11; Linux x86_64; rv:10.0a1) Gecko/20111004 Firefox/10.0a1
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:10.0a1) Gecko/20111004 Firefox/10.0a1
Mozilla/5.0 (Windows NT 6.1; rv:10.0a1) Gecko/20111004 Firefox/10.0a1

Mozilla/5.0 (Windows NT 5.1; rv:9.0a2) Gecko/20111004 Firefox/9.0a2
Mozilla/5.0 (X11; Linux x86_64; rv:9.0a2) Gecko/20111003 Firefox/9.0a2
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:9.0a2) Gecko/20111004 Firefox/9.0a2
Mozilla/5.0 (Windows NT 6.1; rv:9.0a2) Gecko/20111004 Firefox/9.0a2


Mozilla/5.0 (Windows NT 5.1; rv:8.0) Gecko/20100101 Firefox/8.0
Mozilla/5.0 (X11; Linux x86_64; rv:8.0) Gecko/20100101 Firefox/8.0
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:8.0) Gecko/20100101 Firefox/8.0
Mozilla/5.0 (Windows NT 6.1; rv:8.0) Gecko/20100101 Firefox/8.0
Comment 28 Alex Limi (:limi) — Firefox UX Team 2011-10-11 01:41:55 PDT
(In reply to Rimas Kudelis from comment #23)
> Just wondering: doesn't right-clicking work on OS X too, when using a normal
> mouse, or one of Apple's later mice where the user can choose the number of
> buttons?

Yes, but it's not the default setup, so we can't rely on it. And in the interest of not having platform-specific strings, I'd say we use the click-and-hold pattern instead.

(In reply to Ton from comment #22)
> I totally agree. Like some others wrote, using “pull down” seems very
> unnatural in any non-drop-down menu, especially now that the drop-drown
> indicator was removed (!). It also makes less sense when localizing, or
> makes localizers use “Right-click or click and hold to show history” and
> “Click and hold to show history” anyway. Could you consider using this
> instead?

Agreed, "pull down" is confusing. Just discovered this in the UX build, sorry for not chiming in earlier. 

Let's go with "Click and hold to show history" instead?

(and let me know whether it makes more sense to open a follow-up bug — I assume it's just a string change)
Comment 29 Dão Gottwald [:dao] 2011-10-11 06:57:47 PDT
Even string changes get their own bugs.

Note You need to log in before you can comment on or make changes to this bug.